OnlyFans API
FanslyChats

Show Chat

Get the details of a specific chat (messaging group): members, permission flags, last message preview, and DM permissions.

GET
/api/fansly/{fanslyAccount}/chats/{chat_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

chat_id*string

The Fansly chat (group) ID.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats/918197836133183488"
{
  "data": {
    "id": "200000000000000001",
    "type": 1,
    "groupFlags": 0,
    "groupFlagsMetadata": "",
    "createdBy": "300000000000000001",
    "users": [
      {
        "groupId": "200000000000000001",
        "userId": "300000000000000001",
        "type": 0,
        "permissionFlags": 65535,
        "dmPermissionFlags": [
          {
            "id": "600000000000000001",
            "accountId": "300000000000000001",
            "type": 0,
            "flags": 3,
            "metadata": "{\"1\":\"{\\\"price\\\":2000}\"}",
            "verificationFlags": 2,
            "verificationMetadata": "{}"
          }
        ]
      },
      {
        "groupId": "200000000000000001",
        "userId": "100000000000000001",
        "type": 0,
        "permissionFlags": 65535
      }
    ],
    "permissionFlags": [],
    "recipients": [],
    "userSettings": {
      "customName": "",
      "hidden": 0
    },
    "lastMessage": {
      "id": "400000000000000001",
      "type": 1,
      "dataVersion": 1,
      "content": "Message text",
      "groupId": "200000000000000001",
      "senderId": "300000000000000001",
      "correlationId": "400000000000000099",
      "inReplyTo": null,
      "inReplyToRoot": null,
      "createdAt": 1700000000,
      "attachments": [],
      "embeds": [],
      "interactions": [
        {
          "userId": "100000000000000001",
          "readAt": 1700000000,
          "deliveredAt": 1700000000
        }
      ],
      "likes": []
    },
    "hasDmPermissionFlags": false,
    "partnerMissingDmPermissionFlagsChecked": true,
    "dmPermissionFlags": [
      {
        "id": "600000000000000001",
        "accountId": "300000000000000001",
        "type": 0,
        "flags": 3,
        "metadata": "{\"1\":\"{\\\"price\\\":2000}\"}",
        "verificationFlags": 2,
        "verificationMetadata": "{}"
      }
    ],
    "accountDmPermissionFlags": {
      "flags": 2,
      "metadata": "{}"
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055812,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}